rubygem-metasploit_data_models-3.0.10_1,2.txz


Advertisement

Description

rubygem-metasploit_data_models - Database layer for Metasploit

Property Value
Distribution FreeBSD 11
Repository FreeBSD Ports Latest amd64
Package filename rubygem-metasploit_data_models-3.0.10_1,2.txz
Package name rubygem-metasploit_data_models
Package version 3.0.10
Package release 1,2
Package architecture amd64
Package type txz
Category rubygems security
Homepage https://github.com/rapid7/metasploit_data_models
License BSD3CLAUSE
Maintainer antoine@FreeBSD.org
Download size 155.54 KB
Installed size 930.90 KB
MetasploitDataModels exists to do several key things:
- Allow code sharing between Metasploit Framework (MSF) and the commercial
versions of Metasploit (Community, Express, Pro -- usually referred to
collectively as "Pro")
- Give developers a lightweight entry point to MSF's backend for use in
developing tools that gather data intended for later use with Metasploit
(e.g. specialized scanners)
- Make it easy to keep commercial stuff private while increasing the
functionality of the open-source tools we provide to the community
WWW: https://github.com/rapid7/metasploit_data_models

Alternatives

Package Version Architecture Repository
rubygem-metasploit_data_models-3.0.10_1,2.txz 3.0.10 i386 FreeBSD Ports Latest
rubygem-metasploit_data_models-3.0.10_1,2.txz 3.0.10 i386 FreeBSD Ports Quarterly
rubygem-metasploit_data_models-3.0.10_1,2.txz 3.0.10 amd64 FreeBSD Ports Quarterly
rubygem-metasploit_data_models - - -

Requires

Name Value
ruby = 2.5.5_3,1
ruby25-gems = 3.0.4
rubygem-activerecord4 = 4.2.11.1
rubygem-activesupport4 = 4.2.11.1
rubygem-arel-helpers = 2.9.1
rubygem-metasploit-concern = 2.0.5
rubygem-metasploit-model = 2.0.4
rubygem-pg0 = 0.21.0_2
rubygem-postgres_ext = 3.0.1
rubygem-railties4 = 4.2.11.1
rubygem-recog = 2.3.2

Download

Type URL
Mirror pkg.freebsd.org
Binary Package rubygem-metasploit_data_models-3.0.10_1,2.txz
Source Package security/rubygem-metasploit_data_models

Install Howto

Install rubygem-metasploit_data_models txz package:

# pkg install rubygem-metasploit_data_models

See Also

Package Description
rubygem-metasploit_payloads-mettle-0.5.16.txz Compiled binaries for Metasploit's next-gen Meterpreter
rubygem-method_source-0.9.2.txz Tool to retrieve the sourcecode for a method
rubygem-micromachine-3.0.0.txz Minimal Finite State Machine
rubygem-micromachine2-2.1.0.txz Minimal Finite State Machine
rubygem-mime-types-3.2.2.txz Ruby gem which provides a mailcap-like MIME Content-Type lookup
rubygem-mime-types-data-3.2019.0331.txz MIME Type registry data
rubygem-mime-types1-1.25.1.txz Ruby gem which provides a mailcap-like MIME Content-Type lookup
rubygem-mimemagic-0.3.3.txz MIME detection by extension or content in pure ruby
rubygem-mini_magick-4.9.2_1.txz Manipulate images with minimal use of memory via ImageMagick
rubygem-mini_mime-1.0.2.txz Lightweight mime type lookup toy
rubygem-mini_portile2-2.4.0.txz Simple autoconf builder for developers
rubygem-minitar-0.9.txz Library and command-line utility for tar archives
rubygem-minitar-cli-0.8_1.txz Library and command-line utility for tar archives
rubygem-minitest-5.11.3.txz Minitest provides a complete suite of testing facilities
rubygem-mixlib-archive-0.4.20.txz Simple interface to various archive formats
Advertisement
Advertisement